Loading...
Searching...
No Matches
casacore::TableExprGroupFirst Class Reference
tables package (libcasa_tables) » TaQL_module » TaQL_module_internal_classes

Class derived from TableExprGroupFuncBase for the first value in a group. More...

`#include <ExprGroup.h>`

## Public Member Functions

| TableExprGroupFirst (TableExprNodeRep *node)
virtual | ~TableExprGroupFirst ()
virtual void | apply (const TableExprId &id)
| Get the operand's value for the given row and apply it to the aggregation.
virtual Bool | getBool (const vector< TableExprId > &)
| Get the aggregated value.
virtual Int64 | getInt (const vector< TableExprId > &)
virtual Double | getDouble (const vector< TableExprId > &)
virtual DComplex | getDComplex (const vector< TableExprId > &)
virtual MVTime | getDate (const vector< TableExprId > &)
virtual String | getString (const vector< TableExprId > &)
virtual MArray< Bool > | getArrayBool (const vector< TableExprId > &)
virtual MArray< Int64 > | getArrayInt (const vector< TableExprId > &)
virtual MArray< Double > | getArrayDouble (const vector< TableExprId > &)
virtual MArray< DComplex > | getArrayDComplex (const vector< TableExprId > &)
virtual MArray< MVTime > | getArrayDate (const vector< TableExprId > &)
virtual MArray< String > | getArrayString (const vector< TableExprId > &)
Public Member Functions inherited from casacore::TableExprGroupFuncBase
| TableExprGroupFuncBase (TableExprNodeRep *node)
| Construct from the TaQL aggregation node.
virtual | ~TableExprGroupFuncBase ()
| TableExprGroupFuncBase (const TableExprGroupFuncBase &)=delete
| Copying is not needed, thus not allowed.
TableExprGroupFuncBase & | operator= (const TableExprGroupFuncBase &)=delete
virtual Bool | isLazy () const
| Does the aggregate function use lazy semantics?
uInt | seqnr () const
| Get the function's sequence nr.
void | setSeqnr (uInt seqnr)
| Set the function's sequence nr.
virtual void | finish ()
| If needed, finish the aggregation.
virtual std::shared_ptr< vector< TableExprId > > | getIds () const
| Get the assembled TableExprIds of a group.

## Protected Attributes

TableExprId | itsId
Protected Attributes inherited from casacore::TableExprGroupFuncBase
TableExprNodeRep * | itsNode
TableExprNodeRep * | itsOperand
uInt | itsSeqnr

## Detailed Description

Class derived from TableExprGroupFuncBase for the first value in a group.

### Intended use:

Internal

### Review Status

Test programs:
  tExprGroup

### Synopsis

This class keeps the TableExprId of the first value in a group. The 'getXXX' functions get the value for that TableExprId.

Definition at line 282 of file ExprGroup.h.

## Constructor & Destructor Documentation

## TableExprGroupFirst()

casacore::TableExprGroupFirst::TableExprGroupFirst | ( | TableExprNodeRep * | node | ) |

explicit

## ~TableExprGroupFirst()

virtual casacore::TableExprGroupFirst::~TableExprGroupFirst | ( |  | ) |

virtual

## Member Function Documentation

## apply()

virtual void casacore::TableExprGroupFirst::apply | ( | const TableExprId & | id | ) |

virtual

Get the operand's value for the given row and apply it to the aggregation.

This function should not be called for lazy classes.

Implements casacore::TableExprGroupFuncBase.

Reimplemented in casacore::TableExprGroupLast.

## getArrayBool()

virtual MArray< Bool > casacore::TableExprGroupFirst::getArrayBool | ( | const vector< TableExprId > & |  | ) |

virtual

Reimplemented from casacore::TableExprGroupFuncBase.

## getArrayDate()

virtual MArray< MVTime > casacore::TableExprGroupFirst::getArrayDate | ( | const vector< TableExprId > & |  | ) |

virtual

Reimplemented from casacore::TableExprGroupFuncBase.

## getArrayDComplex()

virtual MArray< DComplex > casacore::TableExprGroupFirst::getArrayDComplex | ( | const vector< TableExprId > & |  | ) |

virtual

Reimplemented from casacore::TableExprGroupFuncBase.

## getArrayDouble()

virtual MArray< Double > casacore::TableExprGroupFirst::getArrayDouble | ( | const vector< TableExprId > & |  | ) |

virtual

Reimplemented from casacore::TableExprGroupFuncBase.

## getArrayInt()

virtual MArray< Int64 > casacore::TableExprGroupFirst::getArrayInt | ( | const vector< TableExprId > & |  | ) |

virtual

Reimplemented from casacore::TableExprGroupFuncBase.

## getArrayString()

virtual MArray< String > casacore::TableExprGroupFirst::getArrayString | ( | const vector< TableExprId > & |  | ) |

virtual

Reimplemented from casacore::TableExprGroupFuncBase.

## getBool()

virtual Bool casacore::TableExprGroupFirst::getBool | ( | const vector< TableExprId > & |  | ) |

virtual

Get the aggregated value.

Immediate classes can return the already calculated value, while lazy classes will get the values of all rows given by the TableExprIds and do the aggregation.

Reimplemented from casacore::TableExprGroupFuncBase.

## getDate()

virtual MVTime casacore::TableExprGroupFirst::getDate | ( | const vector< TableExprId > & |  | ) |

virtual

Reimplemented from casacore::TableExprGroupFuncBase.

## getDComplex()

virtual DComplex casacore::TableExprGroupFirst::getDComplex | ( | const vector< TableExprId > & |  | ) |

virtual

Reimplemented from casacore::TableExprGroupFuncBase.

## getDouble()

virtual Double casacore::TableExprGroupFirst::getDouble | ( | const vector< TableExprId > & |  | ) |

virtual

Reimplemented from casacore::TableExprGroupFuncBase.

## getInt()

virtual Int64 casacore::TableExprGroupFirst::getInt | ( | const vector< TableExprId > & |  | ) |

virtual

Reimplemented from casacore::TableExprGroupFuncBase.

## getString()

virtual String casacore::TableExprGroupFirst::getString | ( | const vector< TableExprId > & |  | ) |

virtual

Reimplemented from casacore::TableExprGroupFuncBase.

## Member Data Documentation

## itsId

TableExprId casacore::TableExprGroupFirst::itsId

protected

Definition at line 301 of file ExprGroup.h.

The documentation for this class was generated from the following file:

- tables/TaQL/ExprGroup.h